@echo off
set TARGETFOLDER=%SYSTEMDRIVE%\XPDLL
setlocal enabledelayedexpansion

:begin

echo Remove directory %TARGETFOLDER%?
SET /P GOAHEAD=[y,n] 
IF /I "!GOAHEAD!"=="y" (
	echo Removing directory...
	rd /s /q %TARGETFOLDER%
) ELSE (
	echo %TARGETFOLDER% not removed
)

echo Clear ExcludeFromKnownDlls registry setting?
SET /P GOAHEAD=[y,n] 
IF /I "!GOAHEAD!"=="y" (
	regedit /S ClearExcludeFromKnownDlls.reg
) ELSE (
	echo Registry unchanged
)

echo Remove %TARGETFOLDER% from path?
SET /P GOAHEAD=[y,n] 
IF /I "!GOAHEAD!"=="y" (
	cscript /nologo FixPath.vbs /r %TARGETFOLDER%
) ELSE (
	echo PATH unchanged
)

echo Uninstall finished


:done
pause
