/*
  Windows 2000 XP API Wrapper Pack
  Copyright (C) 2008 OldCigarette

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "../common/forwards.h"

__declspec(dllexport) void __stdcall GetActiveWindow () { }
__declspec(dllexport) void __stdcall PostMessageA(int int0, int int1, int int2, int int3) { }
__declspec(dllexport) void __stdcall SendMessageA(int int0, int int1, int int2, int int3) { }
__declspec(dllexport) void __stdcall MessageBoxA(int int0, int int1, int int2, int int3) { }
__declspec(dllexport) void __stdcall GetWindowLongA(int int0, int int1) { }
__declspec(dllexport) void __stdcall CallNextHookEx(int int0, int int1, int int2, int int3) { }
__declspec(dllexport) void __stdcall GetFocus () { }
__declspec(dllexport) void __stdcall UnhookWindowsHookEx(int int0) { }
__declspec(dllexport) void __stdcall ReleaseCapture () { }
__declspec(dllexport) void __stdcall SetWindowsHookExA(int int0, int int1, int int2, int int3) { }
__declspec(dllexport) void __stdcall SetCapture(int int0) { }
__declspec(dllexport) void __stdcall SetCursorPos(int int0, int int1) { }
__declspec(dllexport) void __stdcall GetWindowRect(int int0, int int1) { }
__declspec(dllexport) void __stdcall GetClientRect(int int0, int int1) { }
__declspec(dllexport) void __stdcall GetWindowRgn(int int0, int int1) { }
__declspec(dllexport) void __stdcall GetWindowDC(int int0) { }
__declspec(dllexport) void __stdcall GetDC(int int0) { }
__declspec(dllexport) void __stdcall ReleaseDC(int int0, int int1) { }
__declspec(dllexport) void __stdcall CreateWindowExA(int int0, int int1, int int2, int int3, int int4, int int5, int int6, int int7, int int8, int int9, int int10, int int11) { }
__declspec(dllexport) void __stdcall CreateWindowExW(int int0, int int1, int int2, int int3, int int4, int int5, int int6, int int7, int int8, int int9, int int10, int int11) { }
__declspec(dllexport) void __stdcall RegisterClassA(int int0) { }
__declspec(dllexport) void __stdcall RegisterClassW(int int0) { }
__declspec(dllexport) void __stdcall RegisterClassExA(int int0) { }
__declspec(dllexport) void __stdcall RegisterClassExW(int int0) { }
__declspec(dllexport) void __stdcall GetForegroundWindow() { }

UNKNOWN_IMPL(ActivateKeyboardLayout);
UNKNOWN_IMPL(AdjustWindowRect);
UNKNOWN_IMPL(AdjustWindowRectEx);
UNKNOWN_IMPL(AlignRects);
UNKNOWN_IMPL(AllowSetForegroundWindow);
UNKNOWN_IMPL(AnimateWindow);
UNKNOWN_IMPL(AnyPopup);
UNKNOWN_IMPL(AppendMenuA);
UNKNOWN_IMPL(AppendMenuW);
UNKNOWN_IMPL(ArrangeIconicWindows);
UNKNOWN_IMPL(AttachThreadInput);
UNKNOWN_IMPL(BeginDeferWindowPos);
UNKNOWN_IMPL(BeginPaint);
UNKNOWN_IMPL(BlockInput);
UNKNOWN_IMPL(BringWindowToTop);
UNKNOWN_IMPL(BroadcastSystemMessage);
UNKNOWN_IMPL(BroadcastSystemMessageA);
UNKNOWN_IMPL(BroadcastSystemMessageW);
UNKNOWN_IMPL(CallMsgFilter);
UNKNOWN_IMPL(CallMsgFilterA);
UNKNOWN_IMPL(CallMsgFilterW);
UNKNOWN_IMPL(CallWindowProcA);
UNKNOWN_IMPL(CallWindowProcW);
UNKNOWN_IMPL(CascadeChildWindows);
UNKNOWN_IMPL(CascadeWindows);
UNKNOWN_IMPL(ChangeClipboardChain);
UNKNOWN_IMPL(ChangeDisplaySettingsA);
UNKNOWN_IMPL(ChangeDisplaySettingsExA);
UNKNOWN_IMPL(ChangeDisplaySettingsExW);
UNKNOWN_IMPL(ChangeDisplaySettingsW);
UNKNOWN_IMPL(ChangeMenuA);
UNKNOWN_IMPL(ChangeMenuW);
UNKNOWN_IMPL(CharLowerA);
UNKNOWN_IMPL(CharLowerBuffA);
UNKNOWN_IMPL(CharLowerBuffW);
UNKNOWN_IMPL(CharLowerW);
UNKNOWN_IMPL(CharNextA);
UNKNOWN_IMPL(CharNextExA);
UNKNOWN_IMPL(CharNextW);
UNKNOWN_IMPL(CharPrevA);
UNKNOWN_IMPL(CharPrevExA);
UNKNOWN_IMPL(CharPrevW);
UNKNOWN_IMPL(CharToOemA);
UNKNOWN_IMPL(CharToOemBuffA);
UNKNOWN_IMPL(CharToOemBuffW);
UNKNOWN_IMPL(CharToOemW);
UNKNOWN_IMPL(CharUpperA);
UNKNOWN_IMPL(CharUpperBuffA);
UNKNOWN_IMPL(CharUpperBuffW);
UNKNOWN_IMPL(CharUpperW);
UNKNOWN_IMPL(CheckDlgButton);
UNKNOWN_IMPL(CheckMenuItem);
UNKNOWN_IMPL(CheckMenuRadioItem);
UNKNOWN_IMPL(CheckRadioButton);
UNKNOWN_IMPL(ChildWindowFromPoint);
UNKNOWN_IMPL(ChildWindowFromPointEx);
UNKNOWN_IMPL(CliImmSetHotKey);
UNKNOWN_IMPL(ClientThreadSetup);
UNKNOWN_IMPL(ClientToScreen);
UNKNOWN_IMPL(ClipCursor);
UNKNOWN_IMPL(CloseClipboard);
UNKNOWN_IMPL(CloseDesktop);
UNKNOWN_IMPL(CloseWindow);
UNKNOWN_IMPL(CloseWindowStation);
UNKNOWN_IMPL(CopyAcceleratorTableA);
UNKNOWN_IMPL(CopyAcceleratorTableW);
UNKNOWN_IMPL(CopyIcon);
UNKNOWN_IMPL(CopyImage);
UNKNOWN_IMPL(CopyRect);
UNKNOWN_IMPL(CountClipboardFormats);
UNKNOWN_IMPL(CreateAcceleratorTableA);
UNKNOWN_IMPL(CreateAcceleratorTableW);
UNKNOWN_IMPL(CreateCaret);
UNKNOWN_IMPL(CreateCursor);
UNKNOWN_IMPL(CreateDesktopA);
UNKNOWN_IMPL(CreateDesktopW);
UNKNOWN_IMPL(CreateDialogIndirectParamA);
UNKNOWN_IMPL(CreateDialogIndirectParamAorW);
UNKNOWN_IMPL(CreateDialogIndirectParamW);
UNKNOWN_IMPL(CreateDialogParamA);
UNKNOWN_IMPL(CreateDialogParamW);
UNKNOWN_IMPL(CreateIcon);
UNKNOWN_IMPL(CreateIconFromResource);
UNKNOWN_IMPL(CreateIconFromResourceEx);
UNKNOWN_IMPL(CreateIconIndirect);
UNKNOWN_IMPL(CreateMDIWindowA);
UNKNOWN_IMPL(CreateMDIWindowW);
UNKNOWN_IMPL(CreateMenu);
UNKNOWN_IMPL(CreatePopupMenu);
UNKNOWN_IMPL(CreateWindowStationA);
UNKNOWN_IMPL(CreateWindowStationW);
UNKNOWN_IMPL(CtxInitUser32);
UNKNOWN_IMPL(DdeAbandonTransaction);
UNKNOWN_IMPL(DdeAccessData);
UNKNOWN_IMPL(DdeAddData);
UNKNOWN_IMPL(DdeClientTransaction);
UNKNOWN_IMPL(DdeCmpStringHandles);
UNKNOWN_IMPL(DdeConnect);
UNKNOWN_IMPL(DdeConnectList);
UNKNOWN_IMPL(DdeCreateDataHandle);
UNKNOWN_IMPL(DdeCreateStringHandleA);
UNKNOWN_IMPL(DdeCreateStringHandleW);
UNKNOWN_IMPL(DdeDisconnect);
UNKNOWN_IMPL(DdeDisconnectList);
UNKNOWN_IMPL(DdeEnableCallback);
UNKNOWN_IMPL(DdeFreeDataHandle);
UNKNOWN_IMPL(DdeFreeStringHandle);
UNKNOWN_IMPL(DdeGetData);
UNKNOWN_IMPL(DdeGetLastError);
UNKNOWN_IMPL(DdeGetQualityOfService);
UNKNOWN_IMPL(DdeImpersonateClient);
UNKNOWN_IMPL(DdeInitializeA);
UNKNOWN_IMPL(DdeInitializeW);
UNKNOWN_IMPL(DdeKeepStringHandle);
UNKNOWN_IMPL(DdeNameService);
UNKNOWN_IMPL(DdePostAdvise);
UNKNOWN_IMPL(DdeQueryConvInfo);
UNKNOWN_IMPL(DdeQueryNextServer);
UNKNOWN_IMPL(DdeQueryStringA);
UNKNOWN_IMPL(DdeQueryStringW);
UNKNOWN_IMPL(DdeReconnect);
UNKNOWN_IMPL(DdeSetQualityOfService);
UNKNOWN_IMPL(DdeSetUserHandle);
UNKNOWN_IMPL(DdeUnaccessData);
UNKNOWN_IMPL(DdeUninitialize);
UNKNOWN_IMPL(DefDlgProcA);
UNKNOWN_IMPL(DefDlgProcW);
UNKNOWN_IMPL(DefFrameProcA);
UNKNOWN_IMPL(DefFrameProcW);
UNKNOWN_IMPL(DefMDIChildProcA);
UNKNOWN_IMPL(DefMDIChildProcW);
UNKNOWN_IMPL(DefWindowProcA);
UNKNOWN_IMPL(DefWindowProcW);
UNKNOWN_IMPL(DeferWindowPos);
UNKNOWN_IMPL(DeleteMenu);
UNKNOWN_IMPL(DeregisterShellHookWindow);
UNKNOWN_IMPL(DestroyAcceleratorTable);
UNKNOWN_IMPL(DestroyCaret);
UNKNOWN_IMPL(DestroyCursor);
UNKNOWN_IMPL(DestroyIcon);
UNKNOWN_IMPL(DestroyMenu);
UNKNOWN_IMPL(DestroyWindow);
UNKNOWN_IMPL(DeviceEventWorker);
UNKNOWN_IMPL(DialogBoxIndirectParamA);
UNKNOWN_IMPL(DialogBoxIndirectParamAorW);
UNKNOWN_IMPL(DialogBoxIndirectParamW);
UNKNOWN_IMPL(DialogBoxParamA);
UNKNOWN_IMPL(DialogBoxParamW);
UNKNOWN_IMPL(DispatchMessageA);
UNKNOWN_IMPL(DispatchMessageW);
UNKNOWN_IMPL(DlgDirListA);
UNKNOWN_IMPL(DlgDirListComboBoxA);
UNKNOWN_IMPL(DlgDirListComboBoxW);
UNKNOWN_IMPL(DlgDirListW);
UNKNOWN_IMPL(DlgDirSelectComboBoxExA);
UNKNOWN_IMPL(DlgDirSelectComboBoxExW);
UNKNOWN_IMPL(DlgDirSelectExA);
UNKNOWN_IMPL(DlgDirSelectExW);
UNKNOWN_IMPL(DragDetect);
UNKNOWN_IMPL(DragObject);
UNKNOWN_IMPL(DrawAnimatedRects);
UNKNOWN_IMPL(DrawCaption);
UNKNOWN_IMPL(DrawCaptionTempA);
UNKNOWN_IMPL(DrawCaptionTempW);
UNKNOWN_IMPL(DrawEdge);
UNKNOWN_IMPL(DrawFocusRect);
UNKNOWN_IMPL(DrawFrame);
UNKNOWN_IMPL(DrawFrameControl);
UNKNOWN_IMPL(DrawIcon);
UNKNOWN_IMPL(DrawIconEx);
UNKNOWN_IMPL(DrawMenuBar);
UNKNOWN_IMPL(DrawMenuBarTemp);
UNKNOWN_IMPL(DrawStateA);
UNKNOWN_IMPL(DrawStateW);
UNKNOWN_IMPL(DrawTextA);
UNKNOWN_IMPL(DrawTextExA);
UNKNOWN_IMPL(DrawTextExW);
UNKNOWN_IMPL(DrawTextW);
UNKNOWN_IMPL(EditWndProc);
UNKNOWN_IMPL(EmptyClipboard);
UNKNOWN_IMPL(EnableMenuItem);
UNKNOWN_IMPL(EnableScrollBar);
UNKNOWN_IMPL(EnableWindow);
UNKNOWN_IMPL(EndDeferWindowPos);
UNKNOWN_IMPL(EndDialog);
UNKNOWN_IMPL(EndMenu);
UNKNOWN_IMPL(EndPaint);
UNKNOWN_IMPL(EndTask);
UNKNOWN_IMPL(EnumChildWindows);
UNKNOWN_IMPL(EnumClipboardFormats);
UNKNOWN_IMPL(EnumDesktopWindows);
UNKNOWN_IMPL(EnumDesktopsA);
UNKNOWN_IMPL(EnumDesktopsW);
UNKNOWN_IMPL(EnumDisplayDevicesA);
UNKNOWN_IMPL(EnumDisplayDevicesW);
UNKNOWN_IMPL(EnumDisplayMonitors);
UNKNOWN_IMPL(EnumDisplaySettingsA);
UNKNOWN_IMPL(EnumDisplaySettingsExA);
UNKNOWN_IMPL(EnumDisplaySettingsExW);
UNKNOWN_IMPL(EnumDisplaySettingsW);
UNKNOWN_IMPL(EnumPropsA);
UNKNOWN_IMPL(EnumPropsExA);
UNKNOWN_IMPL(EnumPropsExW);
UNKNOWN_IMPL(EnumPropsW);
UNKNOWN_IMPL(EnumThreadWindows);
UNKNOWN_IMPL(EnumWindowStationsA);
UNKNOWN_IMPL(EnumWindowStationsW);
UNKNOWN_IMPL(EnumWindows);
UNKNOWN_IMPL(EqualRect);
UNKNOWN_IMPL(ExcludeUpdateRgn);
UNKNOWN_IMPL(ExitWindowsEx);
UNKNOWN_IMPL(FillRect);
UNKNOWN_IMPL(FindWindowA);
UNKNOWN_IMPL(FindWindowExA);
UNKNOWN_IMPL(FindWindowExW);
UNKNOWN_IMPL(FindWindowW);
UNKNOWN_IMPL(FlashWindow);
UNKNOWN_IMPL(FlashWindowEx);
UNKNOWN_IMPL(FrameRect);
UNKNOWN_IMPL(FreeDDElParam);
UNKNOWN_IMPL(GetAltTabInfo);
UNKNOWN_IMPL(GetAltTabInfoA);
UNKNOWN_IMPL(GetAltTabInfoW);
UNKNOWN_IMPL(GetAncestor);
UNKNOWN_IMPL(GetAppCompatFlags);
UNKNOWN_IMPL(GetAppCompatFlags2);
UNKNOWN_IMPL(GetAsyncKeyState);
UNKNOWN_IMPL(GetCapture);
UNKNOWN_IMPL(GetCaretBlinkTime);
UNKNOWN_IMPL(GetCaretPos);
UNKNOWN_IMPL(GetClassInfoA);
UNKNOWN_IMPL(GetClassInfoExA);
UNKNOWN_IMPL(GetClassInfoExW);
UNKNOWN_IMPL(GetClassInfoW);
UNKNOWN_IMPL(GetClassLongA);
UNKNOWN_IMPL(GetClassLongW);
UNKNOWN_IMPL(GetClassNameA);
UNKNOWN_IMPL(GetClassNameW);
UNKNOWN_IMPL(GetClassWord);
UNKNOWN_IMPL(GetClipCursor);
UNKNOWN_IMPL(GetClipboardData);
UNKNOWN_IMPL(GetClipboardFormatNameA);
UNKNOWN_IMPL(GetClipboardFormatNameW);
UNKNOWN_IMPL(GetClipboardOwner);
UNKNOWN_IMPL(GetClipboardSequenceNumber);
UNKNOWN_IMPL(GetClipboardViewer);
UNKNOWN_IMPL(GetComboBoxInfo);
UNKNOWN_IMPL(GetCursor);
UNKNOWN_IMPL(GetCursorFrameInfo);
UNKNOWN_IMPL(GetCursorInfo);
UNKNOWN_IMPL(GetCursorPos);
UNKNOWN_IMPL(GetDCEx);
UNKNOWN_IMPL(GetDesktopWindow);
UNKNOWN_IMPL(GetDialogBaseUnits);
UNKNOWN_IMPL(GetDlgCtrlID);
UNKNOWN_IMPL(GetDlgItem);
UNKNOWN_IMPL(GetDlgItemInt);
UNKNOWN_IMPL(GetDlgItemTextA);
UNKNOWN_IMPL(GetDlgItemTextW);
UNKNOWN_IMPL(GetDoubleClickTime);
UNKNOWN_IMPL(GetGUIThreadInfo);
UNKNOWN_IMPL(GetGuiResources);
UNKNOWN_IMPL(GetIconInfo);
UNKNOWN_IMPL(GetInputDesktop);
UNKNOWN_IMPL(GetInputState);
UNKNOWN_IMPL(GetInternalWindowPos);
UNKNOWN_IMPL(GetKBCodePage);
UNKNOWN_IMPL(GetKeyNameTextA);
UNKNOWN_IMPL(GetKeyNameTextW);
UNKNOWN_IMPL(GetKeyState);
UNKNOWN_IMPL(GetKeyboardLayout);
UNKNOWN_IMPL(GetKeyboardLayoutList);
UNKNOWN_IMPL(GetKeyboardLayoutNameA);
UNKNOWN_IMPL(GetKeyboardLayoutNameW);
UNKNOWN_IMPL(GetKeyboardState);
UNKNOWN_IMPL(GetKeyboardType);
UNKNOWN_IMPL(GetLastActivePopup);
UNKNOWN_IMPL(GetLastInputInfo);
UNKNOWN_IMPL(GetListBoxInfo);
UNKNOWN_IMPL(GetMenu);
UNKNOWN_IMPL(GetMenuBarInfo);
UNKNOWN_IMPL(GetMenuCheckMarkDimensions);
UNKNOWN_IMPL(GetMenuContextHelpId);
UNKNOWN_IMPL(GetMenuDefaultItem);
UNKNOWN_IMPL(GetMenuInfo);
UNKNOWN_IMPL(GetMenuItemCount);
UNKNOWN_IMPL(GetMenuItemID);
UNKNOWN_IMPL(GetMenuItemInfoA);
UNKNOWN_IMPL(GetMenuItemInfoW);
UNKNOWN_IMPL(GetMenuItemRect);
UNKNOWN_IMPL(GetMenuState);
UNKNOWN_IMPL(GetMenuStringA);
UNKNOWN_IMPL(GetMenuStringW);
UNKNOWN_IMPL(GetMessageA);
UNKNOWN_IMPL(GetMessageExtraInfo);
UNKNOWN_IMPL(GetMessagePos);
UNKNOWN_IMPL(GetMessageTime);
UNKNOWN_IMPL(GetMessageW);
UNKNOWN_IMPL(GetMonitorInfoA);
UNKNOWN_IMPL(GetMonitorInfoW);
UNKNOWN_IMPL(GetMouseMovePointsEx);
UNKNOWN_IMPL(GetNextDlgGroupItem);
UNKNOWN_IMPL(GetNextDlgTabItem);
UNKNOWN_IMPL(GetOpenClipboardWindow);
UNKNOWN_IMPL(GetParent);
UNKNOWN_IMPL(GetPriorityClipboardFormat);
UNKNOWN_IMPL(GetProcessDefaultLayout);
UNKNOWN_IMPL(GetProcessWindowStation);
UNKNOWN_IMPL(GetProgmanWindow);
UNKNOWN_IMPL(GetPropA);
UNKNOWN_IMPL(GetPropW);
UNKNOWN_IMPL(GetQueueStatus);
UNKNOWN_IMPL(GetScrollBarInfo);
UNKNOWN_IMPL(GetScrollInfo);
UNKNOWN_IMPL(GetScrollPos);
UNKNOWN_IMPL(GetScrollRange);
UNKNOWN_IMPL(GetShellWindow);
UNKNOWN_IMPL(GetSubMenu);
UNKNOWN_IMPL(GetSysColor);
UNKNOWN_IMPL(GetSysColorBrush);
UNKNOWN_IMPL(GetSystemMenu);
UNKNOWN_IMPL(GetSystemMetrics);
UNKNOWN_IMPL(GetTabbedTextExtentA);
UNKNOWN_IMPL(GetTabbedTextExtentW);
UNKNOWN_IMPL(GetTaskmanWindow);
UNKNOWN_IMPL(GetThreadDesktop);
UNKNOWN_IMPL(GetTitleBarInfo);
UNKNOWN_IMPL(GetTopWindow);
UNKNOWN_IMPL(GetUpdateRect);
UNKNOWN_IMPL(GetUpdateRgn);
UNKNOWN_IMPL(GetUserObjectInformationA);
UNKNOWN_IMPL(GetUserObjectInformationW);
UNKNOWN_IMPL(GetUserObjectSecurity);
UNKNOWN_IMPL(GetWinStationInfo);
UNKNOWN_IMPL(GetWindow);
UNKNOWN_IMPL(GetWindowContextHelpId);
UNKNOWN_IMPL(GetWindowInfo);
UNKNOWN_IMPL(GetWindowLongW);
UNKNOWN_IMPL(GetWindowModuleFileName);
UNKNOWN_IMPL(GetWindowModuleFileNameA);
UNKNOWN_IMPL(GetWindowModuleFileNameW);
UNKNOWN_IMPL(GetWindowPlacement);
UNKNOWN_IMPL(GetWindowTextA);
UNKNOWN_IMPL(GetWindowTextLengthA);
UNKNOWN_IMPL(GetWindowTextLengthW);
UNKNOWN_IMPL(GetWindowTextW);
UNKNOWN_IMPL(GetWindowThreadProcessId);
UNKNOWN_IMPL(GetWindowWord);
UNKNOWN_IMPL(GrayStringA);
UNKNOWN_IMPL(GrayStringW);
UNKNOWN_IMPL(HideCaret);
UNKNOWN_IMPL(HiliteMenuItem);
UNKNOWN_IMPL(IMPGetIMEA);
UNKNOWN_IMPL(IMPGetIMEW);
UNKNOWN_IMPL(IMPQueryIMEA);
UNKNOWN_IMPL(IMPQueryIMEW);
UNKNOWN_IMPL(IMPSetIMEA);
UNKNOWN_IMPL(IMPSetIMEW);
UNKNOWN_IMPL(ImpersonateDdeClientWindow);
UNKNOWN_IMPL(InSendMessage);
UNKNOWN_IMPL(InSendMessageEx);
UNKNOWN_IMPL(InflateRect);
UNKNOWN_IMPL(InitializeLpkHooks);
UNKNOWN_IMPL(InitializeWin32EntryTable);
UNKNOWN_IMPL(InsertMenuA);
UNKNOWN_IMPL(InsertMenuItemA);
UNKNOWN_IMPL(InsertMenuItemW);
UNKNOWN_IMPL(InsertMenuW);
UNKNOWN_IMPL(InternalGetWindowText);
UNKNOWN_IMPL(IntersectRect);
UNKNOWN_IMPL(InvalidateRect);
UNKNOWN_IMPL(InvalidateRgn);
UNKNOWN_IMPL(InvertRect);
UNKNOWN_IMPL(IsCharAlphaA);
UNKNOWN_IMPL(IsCharAlphaNumericA);
UNKNOWN_IMPL(IsCharAlphaNumericW);
UNKNOWN_IMPL(IsCharAlphaW);
UNKNOWN_IMPL(IsCharLowerA);
UNKNOWN_IMPL(IsCharLowerW);
UNKNOWN_IMPL(IsCharUpperA);
UNKNOWN_IMPL(IsCharUpperW);
UNKNOWN_IMPL(IsChild);
UNKNOWN_IMPL(IsClipboardFormatAvailable);
UNKNOWN_IMPL(IsDialogMessage);
UNKNOWN_IMPL(IsDialogMessageA);
UNKNOWN_IMPL(IsDialogMessageW);
UNKNOWN_IMPL(IsDlgButtonChecked);
UNKNOWN_IMPL(IsHungAppWindow);
UNKNOWN_IMPL(IsIconic);
UNKNOWN_IMPL(IsMenu);
UNKNOWN_IMPL(IsRectEmpty);
UNKNOWN_IMPL(IsWindow);
UNKNOWN_IMPL(IsWindowEnabled);
UNKNOWN_IMPL(IsWindowUnicode);
UNKNOWN_IMPL(IsWindowVisible);
UNKNOWN_IMPL(IsZoomed);
UNKNOWN_IMPL(KillSystemTimer);
UNKNOWN_IMPL(KillTimer);
UNKNOWN_IMPL(LoadAcceleratorsA);
UNKNOWN_IMPL(LoadAcceleratorsW);
UNKNOWN_IMPL(LoadBitmapA);
UNKNOWN_IMPL(LoadBitmapW);
UNKNOWN_IMPL(LoadCursorA);
UNKNOWN_IMPL(LoadCursorFromFileA);
UNKNOWN_IMPL(LoadCursorFromFileW);
UNKNOWN_IMPL(LoadCursorW);
UNKNOWN_IMPL(LoadIconA);
UNKNOWN_IMPL(LoadIconW);
UNKNOWN_IMPL(LoadImageA);
UNKNOWN_IMPL(LoadImageW);
UNKNOWN_IMPL(LoadKeyboardLayoutA);
UNKNOWN_IMPL(LoadKeyboardLayoutEx);
UNKNOWN_IMPL(LoadKeyboardLayoutW);
UNKNOWN_IMPL(LoadLocalFonts);
UNKNOWN_IMPL(LoadMenuA);
UNKNOWN_IMPL(LoadMenuIndirectA);
UNKNOWN_IMPL(LoadMenuIndirectW);
UNKNOWN_IMPL(LoadMenuW);
UNKNOWN_IMPL(LoadRemoteFonts);
UNKNOWN_IMPL(LoadStringA);
UNKNOWN_IMPL(LoadStringW);
UNKNOWN_IMPL(LockSetForegroundWindow);
UNKNOWN_IMPL(LockWindowStation);
UNKNOWN_IMPL(LockWindowUpdate);
UNKNOWN_IMPL(LockWorkStation);
UNKNOWN_IMPL(LookupIconIdFromDirectory);
UNKNOWN_IMPL(LookupIconIdFromDirectoryEx);
UNKNOWN_IMPL(MBToWCSEx);
UNKNOWN_IMPL(MB_GetString);
UNKNOWN_IMPL(MapDialogRect);
UNKNOWN_IMPL(MapVirtualKeyA);
UNKNOWN_IMPL(MapVirtualKeyExA);
UNKNOWN_IMPL(MapVirtualKeyExW);
UNKNOWN_IMPL(MapVirtualKeyW);
UNKNOWN_IMPL(MapWindowPoints);
UNKNOWN_IMPL(MenuItemFromPoint);
UNKNOWN_IMPL(MenuWindowProcA);
UNKNOWN_IMPL(MenuWindowProcW);
UNKNOWN_IMPL(MessageBeep);
UNKNOWN_IMPL(MessageBoxExA);
UNKNOWN_IMPL(MessageBoxExW);
UNKNOWN_IMPL(MessageBoxIndirectA);
UNKNOWN_IMPL(MessageBoxIndirectW);
UNKNOWN_IMPL(MessageBoxW);
UNKNOWN_IMPL(ModifyMenuA);
UNKNOWN_IMPL(ModifyMenuW);
UNKNOWN_IMPL(MonitorFromPoint);
UNKNOWN_IMPL(MonitorFromRect);
UNKNOWN_IMPL(MonitorFromWindow);
UNKNOWN_IMPL(MoveWindow);
UNKNOWN_IMPL(MsgWaitForMultipleObjects);
UNKNOWN_IMPL(MsgWaitForMultipleObjectsEx);
UNKNOWN_IMPL(NotifyWinEvent);
UNKNOWN_IMPL(OemKeyScan);
UNKNOWN_IMPL(OemToCharA);
UNKNOWN_IMPL(OemToCharBuffA);
UNKNOWN_IMPL(OemToCharBuffW);
UNKNOWN_IMPL(OemToCharW);
UNKNOWN_IMPL(OffsetRect);
UNKNOWN_IMPL(OpenClipboard);
UNKNOWN_IMPL(OpenDesktopA);
UNKNOWN_IMPL(OpenDesktopW);
UNKNOWN_IMPL(OpenIcon);
UNKNOWN_IMPL(OpenInputDesktop);
UNKNOWN_IMPL(OpenWindowStationA);
UNKNOWN_IMPL(OpenWindowStationW);
UNKNOWN_IMPL(PackDDElParam);
UNKNOWN_IMPL(PaintDesktop);
UNKNOWN_IMPL(PeekMessageA);
UNKNOWN_IMPL(PeekMessageW);
UNKNOWN_IMPL(PostMessageW);
UNKNOWN_IMPL(PostQuitMessage);
UNKNOWN_IMPL(PostThreadMessageA);
UNKNOWN_IMPL(PostThreadMessageW);
UNKNOWN_IMPL(PrivateExtractIconExA);
UNKNOWN_IMPL(PrivateExtractIconExW);
UNKNOWN_IMPL(PrivateExtractIconsA);
UNKNOWN_IMPL(PrivateExtractIconsW);
UNKNOWN_IMPL(PrivateSetDbgTag);
UNKNOWN_IMPL(PrivateSetRipFlags);
UNKNOWN_IMPL(PtInRect);
UNKNOWN_IMPL(QuerySendMessage);
UNKNOWN_IMPL(QueryUserCounters);
UNKNOWN_IMPL(RealChildWindowFromPoint);
UNKNOWN_IMPL(RealGetWindowClass);
UNKNOWN_IMPL(RealGetWindowClassA);
UNKNOWN_IMPL(RealGetWindowClassW);
UNKNOWN_IMPL(RedrawWindow);
UNKNOWN_IMPL(RegisterClipboardFormatA);
UNKNOWN_IMPL(RegisterClipboardFormatW);
UNKNOWN_IMPL(RegisterDeviceNotificationA);
UNKNOWN_IMPL(RegisterDeviceNotificationW);
UNKNOWN_IMPL(RegisterHotKey);
UNKNOWN_IMPL(RegisterLogonProcess);
UNKNOWN_IMPL(RegisterServicesProcess);
UNKNOWN_IMPL(RegisterShellHookWindow);
UNKNOWN_IMPL(RegisterSystemThread);
UNKNOWN_IMPL(RegisterTasklist);
UNKNOWN_IMPL(RegisterWindowMessageA);
UNKNOWN_IMPL(RegisterWindowMessageW);
UNKNOWN_IMPL(RemoveMenu);
UNKNOWN_IMPL(RemovePropA);
UNKNOWN_IMPL(RemovePropW);
UNKNOWN_IMPL(ReplyMessage);
UNKNOWN_IMPL(ResolveDesktopForWOW);
UNKNOWN_IMPL(ReuseDDElParam);
UNKNOWN_IMPL(ScreenToClient);
UNKNOWN_IMPL(ScrollChildren);
UNKNOWN_IMPL(ScrollDC);
UNKNOWN_IMPL(ScrollWindow);
UNKNOWN_IMPL(ScrollWindowEx);
UNKNOWN_IMPL(SendDlgItemMessageA);
UNKNOWN_IMPL(SendDlgItemMessageW);
UNKNOWN_IMPL(SendIMEMessageExA);
UNKNOWN_IMPL(SendIMEMessageExW);
UNKNOWN_IMPL(SendInput);
UNKNOWN_IMPL(SendMessageCallbackA);
UNKNOWN_IMPL(SendMessageCallbackW);
UNKNOWN_IMPL(SendMessageTimeoutA);
UNKNOWN_IMPL(SendMessageTimeoutW);
UNKNOWN_IMPL(SendMessageW);
UNKNOWN_IMPL(SendNotifyMessageA);
UNKNOWN_IMPL(SendNotifyMessageW);
UNKNOWN_IMPL(SetActiveWindow);
UNKNOWN_IMPL(SetCaretBlinkTime);
UNKNOWN_IMPL(SetCaretPos);
UNKNOWN_IMPL(SetClassLongA);
UNKNOWN_IMPL(SetClassLongW);
UNKNOWN_IMPL(SetClassWord);
UNKNOWN_IMPL(SetClipboardData);
UNKNOWN_IMPL(SetClipboardViewer);
UNKNOWN_IMPL(SetConsoleReserveKeys);
UNKNOWN_IMPL(SetCursor);
UNKNOWN_IMPL(SetCursorContents);
UNKNOWN_IMPL(SetDebugErrorLevel);
UNKNOWN_IMPL(SetDeskWallpaper);
UNKNOWN_IMPL(SetDlgItemInt);
UNKNOWN_IMPL(SetDlgItemTextA);
UNKNOWN_IMPL(SetDlgItemTextW);
UNKNOWN_IMPL(SetDoubleClickTime);
UNKNOWN_IMPL(SetFocus);
UNKNOWN_IMPL(SetForegroundWindow);
UNKNOWN_IMPL(SetInternalWindowPos);
UNKNOWN_IMPL(SetKeyboardState);
UNKNOWN_IMPL(SetLastErrorEx);
UNKNOWN_IMPL(SetLayeredWindowAttributes);
UNKNOWN_IMPL(SetLogonNotifyWindow);
UNKNOWN_IMPL(SetMenu);
UNKNOWN_IMPL(SetMenuContextHelpId);
UNKNOWN_IMPL(SetMenuDefaultItem);
UNKNOWN_IMPL(SetMenuInfo);
UNKNOWN_IMPL(SetMenuItemBitmaps);
UNKNOWN_IMPL(SetMenuItemInfoA);
UNKNOWN_IMPL(SetMenuItemInfoW);
UNKNOWN_IMPL(SetMessageExtraInfo);
UNKNOWN_IMPL(SetMessageQueue);
UNKNOWN_IMPL(SetParent);
UNKNOWN_IMPL(SetProcessDefaultLayout);
UNKNOWN_IMPL(SetProcessWindowStation);
UNKNOWN_IMPL(SetProgmanWindow);
UNKNOWN_IMPL(SetPropA);
UNKNOWN_IMPL(SetPropW);
UNKNOWN_IMPL(SetRect);
UNKNOWN_IMPL(SetRectEmpty);
UNKNOWN_IMPL(SetScrollInfo);
UNKNOWN_IMPL(SetScrollPos);
UNKNOWN_IMPL(SetScrollRange);
UNKNOWN_IMPL(SetShellWindow);
UNKNOWN_IMPL(SetShellWindowEx);
UNKNOWN_IMPL(SetSysColors);
UNKNOWN_IMPL(SetSysColorsTemp);
UNKNOWN_IMPL(SetSystemCursor);
UNKNOWN_IMPL(SetSystemMenu);
UNKNOWN_IMPL(SetSystemTimer);
UNKNOWN_IMPL(SetTaskmanWindow);
UNKNOWN_IMPL(SetThreadDesktop);
UNKNOWN_IMPL(SetTimer);
UNKNOWN_IMPL(SetUserObjectInformationA);
UNKNOWN_IMPL(SetUserObjectInformationW);
UNKNOWN_IMPL(SetUserObjectSecurity);
UNKNOWN_IMPL(SetWinEventHook);
UNKNOWN_IMPL(SetWindowContextHelpId);
UNKNOWN_IMPL(SetWindowLongA);
UNKNOWN_IMPL(SetWindowLongW);
UNKNOWN_IMPL(SetWindowPlacement);
UNKNOWN_IMPL(SetWindowPos);
UNKNOWN_IMPL(SetWindowRgn);
UNKNOWN_IMPL(SetWindowStationUser);
UNKNOWN_IMPL(SetWindowTextA);
UNKNOWN_IMPL(SetWindowTextW);
UNKNOWN_IMPL(SetWindowWord);
UNKNOWN_IMPL(SetWindowsHookA);
UNKNOWN_IMPL(SetWindowsHookExW);
UNKNOWN_IMPL(SetWindowsHookW);
UNKNOWN_IMPL(ShowCaret);
UNKNOWN_IMPL(ShowCursor);
UNKNOWN_IMPL(ShowOwnedPopups);
UNKNOWN_IMPL(ShowScrollBar);
UNKNOWN_IMPL(ShowStartGlass);
UNKNOWN_IMPL(ShowWindow);
UNKNOWN_IMPL(ShowWindowAsync);
UNKNOWN_IMPL(SoftModalMessageBox);
UNKNOWN_IMPL(SubtractRect);
UNKNOWN_IMPL(SwapMouseButton);
UNKNOWN_IMPL(SwitchDesktop);
UNKNOWN_IMPL(SwitchToThisWindow);
UNKNOWN_IMPL(SystemParametersInfoA);
UNKNOWN_IMPL(SystemParametersInfoW);
UNKNOWN_IMPL(TabbedTextOutA);
UNKNOWN_IMPL(TabbedTextOutW);
UNKNOWN_IMPL(TileChildWindows);
UNKNOWN_IMPL(TileWindows);
UNKNOWN_IMPL(ToAscii);
UNKNOWN_IMPL(ToAsciiEx);
UNKNOWN_IMPL(ToUnicode);
UNKNOWN_IMPL(ToUnicodeEx);
UNKNOWN_IMPL(TrackMouseEvent);
UNKNOWN_IMPL(TrackPopupMenu);
UNKNOWN_IMPL(TrackPopupMenuEx);
UNKNOWN_IMPL(TranslateAccelerator);
UNKNOWN_IMPL(TranslateAcceleratorA);
UNKNOWN_IMPL(TranslateAcceleratorW);
UNKNOWN_IMPL(TranslateMDISysAccel);
UNKNOWN_IMPL(TranslateMessage);
UNKNOWN_IMPL(TranslateMessageEx);
UNKNOWN_IMPL(UnhookWinEvent);
UNKNOWN_IMPL(UnhookWindowsHook);
UNKNOWN_IMPL(UnionRect);
UNKNOWN_IMPL(UnloadKeyboardLayout);
UNKNOWN_IMPL(UnlockWindowStation);
UNKNOWN_IMPL(UnpackDDElParam);
UNKNOWN_IMPL(UnregisterClassA);
UNKNOWN_IMPL(UnregisterClassW);
UNKNOWN_IMPL(UnregisterDeviceNotification);
UNKNOWN_IMPL(UnregisterHotKey);
UNKNOWN_IMPL(UpdateLayeredWindow);
UNKNOWN_IMPL(UpdatePerUserSystemParameters);
UNKNOWN_IMPL(UpdateWindow);
UNKNOWN_IMPL(User32InitializeImmEntryTable);
UNKNOWN_IMPL(UserClientDllInitialize);
UNKNOWN_IMPL(UserHandleGrantAccess);
UNKNOWN_IMPL(UserLpkPSMTextOut);
UNKNOWN_IMPL(UserLpkTabbedTextOut);
UNKNOWN_IMPL(UserRealizePalette);
UNKNOWN_IMPL(UserRegisterWowHandlers);
UNKNOWN_IMPL(VRipOutput);
UNKNOWN_IMPL(VTagOutput);
UNKNOWN_IMPL(ValidateRect);
UNKNOWN_IMPL(ValidateRgn);
UNKNOWN_IMPL(VkKeyScanA);
UNKNOWN_IMPL(VkKeyScanExA);
UNKNOWN_IMPL(VkKeyScanExW);
UNKNOWN_IMPL(VkKeyScanW);
UNKNOWN_IMPL(WCSToMBEx);
UNKNOWN_IMPL(WINNLSEnableIME);
UNKNOWN_IMPL(WINNLSGetEnableStatus);
UNKNOWN_IMPL(WINNLSGetIMEHotkey);
UNKNOWN_IMPL(WaitForInputIdle);
UNKNOWN_IMPL(WaitMessage);
UNKNOWN_IMPL(Win32PoolAllocationStats);
UNKNOWN_IMPL(WinHelpA);
UNKNOWN_IMPL(WinHelpW);
UNKNOWN_IMPL(WindowFromDC);
UNKNOWN_IMPL(WindowFromPoint);
UNKNOWN_IMPL(keybd_event);
UNKNOWN_IMPL(mouse_event);
UNKNOWN_IMPL(wsprintfA);
UNKNOWN_IMPL(wsprintfW);
UNKNOWN_IMPL(wvsprintfA);
UNKNOWN_IMPL(wvsprintfW);
