/*
  Windows 2000 XP API Wrapper Pack
  Copyright (C) 2008 OldCigarette

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "../common/forwards.h"

__declspec(dllexport) void __stdcall inet_ntoa (int int0) { }
__declspec(dllexport) void __stdcall htonl (int int0) { }
__declspec(dllexport) void __stdcall getservbyname (int int0, int int4) { }
__declspec(dllexport) void __stdcall htons (int int0) { }
__declspec(dllexport) void __stdcall inet_addr (int int0) { }
__declspec(dllexport) void __stdcall WSAGetLastError () { }
__declspec(dllexport) void __stdcall gethostbyname (int int0) { }
__declspec(dllexport) void __stdcall gethostbyaddr (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall getservbyport (int int0, int int4) { }
__declspec(dllexport) void __stdcall ntohs (int int0) { }
__declspec(dllexport) void __stdcall WSAIoctl (int int0, int int4, int int8, int int12, int int16, int int20, int int24, int int28, int int32) { }
__declspec(dllexport) void __stdcall WSACloseEvent (int int0) { }
__declspec(dllexport) void __stdcall WSASetEvent (int int0) { }
__declspec(dllexport) void __stdcall WSAEventSelect (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall WSASend (int int0, int int4, int int8, int int12, int int16, int int20, int int24) { }
__declspec(dllexport) void __stdcall select (int int0, int int4, int int8, int int12, int int16) { }
__declspec(dllexport) void __stdcall WSASetLastError (int int0) { }
__declspec(dllexport) void __stdcall WSACreateEvent () { }
__declspec(dllexport) void __stdcall connect (int int0, int int4, int int8) { }

UNKNOWN_IMPL(WEP);
UNKNOWN_IMPL(WPUCompleteOverlappedRequest);
UNKNOWN_IMPL(WSAAccept);
UNKNOWN_IMPL(WSAAddressToStringA);
UNKNOWN_IMPL(WSAAddressToStringW);
UNKNOWN_IMPL(WSAAsyncGetHostByAddr);
UNKNOWN_IMPL(WSAAsyncGetHostByName);
UNKNOWN_IMPL(WSAAsyncGetProtoByName);
UNKNOWN_IMPL(WSAAsyncGetProtoByNumber);
UNKNOWN_IMPL(WSAAsyncGetServByName);
UNKNOWN_IMPL(WSAAsyncGetServByPort);
UNKNOWN_IMPL(WSAAsyncSelect);
UNKNOWN_IMPL(WSACancelAsyncRequest);
UNKNOWN_IMPL(WSACancelBlockingCall);
UNKNOWN_IMPL(WSACleanup);
UNKNOWN_IMPL(WSAConnect);
UNKNOWN_IMPL(WSADuplicateSocketA);
UNKNOWN_IMPL(WSADuplicateSocketW);
UNKNOWN_IMPL(WSAEnumNameSpaceProvidersA);
UNKNOWN_IMPL(WSAEnumNameSpaceProvidersW);
UNKNOWN_IMPL(WSAEnumNetworkEvents);
UNKNOWN_IMPL(WSAEnumProtocolsA);
UNKNOWN_IMPL(WSAEnumProtocolsW);
UNKNOWN_IMPL(WSAGetOverlappedResult);
UNKNOWN_IMPL(WSAGetQOSByName);
UNKNOWN_IMPL(WSAGetServiceClassInfoA);
UNKNOWN_IMPL(WSAGetServiceClassInfoW);
UNKNOWN_IMPL(WSAGetServiceClassNameByClassIdA);
UNKNOWN_IMPL(WSAGetServiceClassNameByClassIdW);
UNKNOWN_IMPL(WSAHtonl);
UNKNOWN_IMPL(WSAHtons);
UNKNOWN_IMPL(WSAInstallServiceClassA);
UNKNOWN_IMPL(WSAInstallServiceClassW);
UNKNOWN_IMPL(WSAIsBlocking);
UNKNOWN_IMPL(WSAJoinLeaf);
UNKNOWN_IMPL(WSALookupServiceBeginA);
UNKNOWN_IMPL(WSALookupServiceBeginW);
UNKNOWN_IMPL(WSALookupServiceEnd);
UNKNOWN_IMPL(WSALookupServiceNextA);
UNKNOWN_IMPL(WSALookupServiceNextW);
UNKNOWN_IMPL(WSANtohl);
UNKNOWN_IMPL(WSANtohs);
UNKNOWN_IMPL(WSAProviderConfigChange);
UNKNOWN_IMPL(WSARecv);
UNKNOWN_IMPL(WSARecvDisconnect);
UNKNOWN_IMPL(WSARecvFrom);
UNKNOWN_IMPL(WSARemoveServiceClass);
UNKNOWN_IMPL(WSAResetEvent);
UNKNOWN_IMPL(WSASendDisconnect);
UNKNOWN_IMPL(WSASendTo);
UNKNOWN_IMPL(WSASetBlockingHook);
UNKNOWN_IMPL(WSASetServiceA);
UNKNOWN_IMPL(WSASetServiceW);
UNKNOWN_IMPL(WSASocketA);
UNKNOWN_IMPL(WSASocketW);
UNKNOWN_IMPL(WSAStartup);
UNKNOWN_IMPL(WSAStringToAddressA);
UNKNOWN_IMPL(WSAStringToAddressW);
UNKNOWN_IMPL(WSAUnhookBlockingHook);
UNKNOWN_IMPL(WSAWaitForMultipleEvents);
UNKNOWN_IMPL(WSApSetPostRoutine);
UNKNOWN_IMPL(WSCDeinstallProvider);
UNKNOWN_IMPL(WSCEnableNSProvider);
UNKNOWN_IMPL(WSCEnumProtocols);
UNKNOWN_IMPL(WSCGetProviderPath);
UNKNOWN_IMPL(WSCInstallNameSpace);
UNKNOWN_IMPL(WSCInstallProvider);
UNKNOWN_IMPL(WSCUnInstallNameSpace);
UNKNOWN_IMPL(WSCWriteNameSpaceOrder);
UNKNOWN_IMPL(WSCWriteProviderOrder);
UNKNOWN_IMPL(__WSAFDIsSet);
UNKNOWN_IMPL(accept);
UNKNOWN_IMPL(bind);
UNKNOWN_IMPL(closesocket);
UNKNOWN_IMPL(gethostname);
UNKNOWN_IMPL(getpeername);
UNKNOWN_IMPL(getprotobyname);
UNKNOWN_IMPL(getprotobynumber);
UNKNOWN_IMPL(getsockname);
UNKNOWN_IMPL(getsockopt);
UNKNOWN_IMPL(ioctlsocket);
UNKNOWN_IMPL(listen);
UNKNOWN_IMPL(ntohl);
UNKNOWN_IMPL(recv);
UNKNOWN_IMPL(recvfrom);
UNKNOWN_IMPL(send);
UNKNOWN_IMPL(sendto);
UNKNOWN_IMPL(setsockopt);
UNKNOWN_IMPL(shutdown);
UNKNOWN_IMPL(socket);